atk.Document
Prev | The atk Class Reference | Next

## atk.Document

atk.Document — the ATK interface which allows access to a DOM associated with on object.

## Synopsis

    class atk.Document(gobject.GInterface):
        def get_document_type()

## Description

The `atk.Document` interface should be supported by any object that has an associated document object model (DOM). This interface provides the standard mechanism allowing an assistive technology access to the DOM.

## Methods

### atk.Document.get_document_type

        def get_document_type()

Returns : | a string indicating the document type

Gets a string indicating the document type.

Prev | Up | Next
atk.Component | Home | atk.EditableText